libzypp: zyppng::ProvideItemPrivate Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | List of all members
zyppng::ProvideItemPrivate Class Reference

`#include <zypp-media/ng/private/provideitem_p.h>`

Inheritance diagram for zyppng::ProvideItemPrivate:

## Public Member Functions
| ProvideItemPrivate (ProvidePrivate &parent, ProvideItem &pub)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
ProvidePrivate & | _parent
ProvideItem::State | _itemState = ProvideItem::Uninitialized
std::chrono::steady_clock::time_point | _itemStarted
std::chrono::steady_clock::time_point | _itemFinished
std::optional< ProvideItem::ItemStats > | _prevStats
std::optional< ProvideItem::ItemStats > | _currStats
Signal< void(ProvideItem &item, ProvideItem::State oldState, ProvideItem::State newState)> | _sigStateChanged
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 90 of file provideitem_p.h.

## Constructor & Destructor Documentation

## ◆ ProvideItemPrivate()

zyppng::ProvideItemPrivate::ProvideItemPrivate | ( | ProvidePrivate & | parent,
|  | ProvideItem & | pub )
| inline

Definition at line 93 of file provideitem_p.h.

## Member Data Documentation

## ◆ _parent

ProvidePrivate& zyppng::ProvideItemPrivate::_parent

Definition at line 94 of file provideitem_p.h.

## ◆ _itemState

ProvideItem::State zyppng::ProvideItemPrivate::_itemState = ProvideItem::Uninitialized

Definition at line 95 of file provideitem_p.h.

## ◆ _itemStarted

std::chrono::steady_clock::time_point zyppng::ProvideItemPrivate::_itemStarted

Definition at line 96 of file provideitem_p.h.

## ◆ _itemFinished

std::chrono::steady_clock::time_point zyppng::ProvideItemPrivate::_itemFinished

Definition at line 97 of file provideitem_p.h.

## ◆ _prevStats

std::optional<ProvideItem::ItemStats> zyppng::ProvideItemPrivate::_prevStats

Definition at line 98 of file provideitem_p.h.

## ◆ _currStats

std::optional<ProvideItem::ItemStats> zyppng::ProvideItemPrivate::_currStats

Definition at line 99 of file provideitem_p.h.

## ◆ _sigStateChanged

Signal<void( ProvideItem &item, ProvideItem::State oldState, ProvideItem::State newState )> zyppng::ProvideItemPrivate::_sigStateChanged

Definition at line 100 of file provideitem_p.h.

The documentation for this class was generated from the following file:

- zypp-media/ng/private/provideitem_p.h